Class SavedQuerySummary

java.lang.Object
org.cruk.clarity.api.SavedQuerySummary
All Implemented Interfaces:
Serializable

public class SavedQuerySummary extends Object implements Serializable
The summary of a result of running a saved query.
Since:
2.34
See Also:
  • Constructor Details

    • SavedQuerySummary

      public SavedQuerySummary(Linkable<SavedQuery> query, MediaType mediaType, long length)
      Constructor.
      Parameters:
      query - The query run.
      mediaType - The media type.
      length - The response size.
  • Method Details

    • getMediaType

      public MediaType getMediaType()
      Get
      Returns:
    • getLength

      public long getLength()
      Get the length in bytes of the response.
      Returns:
      The response size.
    • getReportFile

      public File getReportFile()
      Get the file the report was saved as.
      Returns:
      The report file.
    • setReportFile

      public void setReportFile(File reportFile)
      Set the file the report was saved as. Note that this is not populated by the API during the call. This is for client convenience if the report was written to a file and that is useful to record here. It is also never serialized.
      Parameters:
      reportFile - The report file.
    • toString

      public String toString()
      Print the content type and length of the response.
      Overrides:
      toString in class Object
      Returns:
      The response fields as a human readable string.